# Generate automatically. Do not edit.

commit 4e173494bf15795a1ebab6e2bbd9377fac456240
Author: Dhanuka Warusadura <dhanuka@gnome.org>
Date:   2024-02-13

    Release version 46.1
    
    Signed-off-by: Dhanuka Warusadura <dhanuka@gnome.org>

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit d8c29a22898da519dd7510590a95a6836658403e
Merge: e29d7229 03ca2228
Author: Dhanuka Warusadura <dhanuka@gnome.org>
Date:   2024-02-13

    Merge branch 'master' into 'master'
    
    ssh-agent: avoid deadlock when agent process dies before we connect to it
    
    See merge request GNOME/gnome-keyring!65

commit 03ca2228205bfaa7510116142f9beaaf2a682042
Author: Steven Luo <s_luo@berkeley.edu>
Date:   2024-02-05

    ssh-agent: stop waiting for agent to become ready if it's dead
    
    If the ssh-agent process we launch dies before it becomes ready to take
    input, self->pid will be set to 0 by on_child_watch().  If that happens,
    there's no point in continuing to wait for the process to become ready.
    This should avoid an unnecessary five-second wait in cases like [1] or
    [2].
    
    [1] https://bugzilla.gnome.org/show_bug.cgi?id=794848
    [2] https://bugzilla.redhat.com/show_bug.cgi?id=1841855 (migrated to
    https://issues.redhat.com/browse/RHEL-9302)

 daemon/ssh-agent/gkd-ssh-agent-process.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dd92a85fb44ff68e075c348176d042448745fac8
Author: Steven Luo <s_luo@berkeley.edu>
Date:   2024-02-05

    ssh-agent: avoid deadlock when agent process dies before we connect to it
    
    gkd_ssh_agent_process_connect() waits for the ssh-agent process to
    become ready to accept input by entering the main loop while holding
    self->lock.  However, if the ssh-agent process dies before becoming
    ready, the main loop will call on_child_watch(), which needs to take
    self->lock, causing a deadlock.  Fix this by releasing the lock before
    entering the main loop.
    
    This should prevent a busyloop that's been reported multiple times [1]
    [2] from lasting forever.
    
    [1] https://bugzilla.gnome.org/show_bug.cgi?id=794848
    [2] https://bugzilla.redhat.com/show_bug.cgi?id=1841855 (migrated to
    https://issues.redhat.com/browse/RHEL-9302)

 daemon/ssh-agent/gkd-ssh-agent-process.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e29d72299f5958f523c0f5f222fc78347fa5ff9d
Merge: 5b721625 f298c87e
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2024-01-28

    Merge branch 'gcc14' into 'master'
    
    gkm: fix test-sexp with GCC 14
    
    See merge request GNOME/gnome-keyring!62

commit f298c87e14e89656992ccfd17b133f4f2ab9c5ea
Author: Yaakov Selkowitz <yselkowi@redhat.com>
Date:   2024-01-24

    gkm: fix test-sexp with GCC 14
    
    pkcs11/gkm/test-sexp.c: In function ‘test_sign_verify’:
    pkcs11/gkm/test-sexp.c:231:92: error: passing argument 6 of ‘gkm_crypto_sign_xsa’ from incompatible pointer type [-Wincompatible-pointer-types]
    In file included from pkcs11/gkm/test-sexp.c:31:
    ./pkcs11/gkm/gkm-crypto.h:92:86: note: expected ‘CK_ULONG_PTR’ {aka ‘long unsigned int *’} but argument is of type ‘gsize *’ {aka ‘unsigned int *’}
    pkcs11/gkm/test-sexp.c:251:87: error: passing argument 6 of ‘gkm_crypto_sign_xsa’ from incompatible pointer type [-Wincompatible-pointer-types]
    ./pkcs11/gkm/gkm-crypto.h:92:86: note: expected ‘CK_ULONG_PTR’ {aka ‘long unsigned int *’} but argument is of type ‘gsize *’ {aka ‘unsigned int *’}
    pkcs11/gkm/test-sexp.c:271:91: error: passing argument 6 of ‘gkm_crypto_sign_xsa’ from incompatible pointer type [-Wincompatible-pointer-types]
    ./pkcs11/gkm/gkm-crypto.h:92:86: note: expected ‘CK_ULONG_PTR’ {aka ‘long unsigned int *’} but argument is of type ‘gsize *’ {aka ‘unsigned int *’}
    
    Signed-off-by: Yaakov Selkowitz <yselkowi@redhat.com>

 pkcs11/gkm/test-sexp.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5b721625035a3d67ea042d9fa8c04a53d2b6c57a
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   2024-01-22

    Update Greek translation

 po/el.po | 373 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 192 insertions(+), 181 deletions(-)

commit add672ea6ad72cc67aa146c90d8e06d0f26178c5
Author: Dhanuka Warusadura <dhanuka@gnome.org>
Date:   2024-01-06

    Release version 46.0
    
    Signed-off-by: Dhanuka Warusadura <dhanuka@gnome.org>

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit e128078e434288019ddcbe7754ccd9fab618884d
Merge: 793e8689 25c5a198
Author: Dhanuka Warusadura <dhanuka@gnome.org>
Date:   2023-10-19

    Merge branch 'build' into 'master'
    
    build: Remove build with ssh component from default build instructions
    
    See merge request GNOME/gnome-keyring!60

commit 25c5a1982467802fa12c6852b03c57924553ba73
Author: Dhanuka Warusadura <dhanuka@gnome.org>
Date:   2023-10-18

    build: Remove build with ssh component from default build instructions
    
    The SSH functionality of gnome-keyring has been moved to gcr [1] as
    part of the modular gnome-keyring Fedora change [2] proposal. And
    currently the SSH functionality is provided by `gcr-ssh-agent`. So, it
    is recommended to build gnome-keyring without the `ssh` component.
    
    [1] https://gitlab.gnome.org/GNOME/gcr/-/merge_requests/67
    [2] https://fedoraproject.org/wiki/Changes/ModularGnomeKeyring
    
    Signed-off-by: Dhanuka Warusadura <dhanuka@gnome.org>

 configure.ac | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 793e8689e03f20330f2eba0d04f94e96a6181cd8
Merge: 085f8b45 214d4d65
Author: Dhanuka Warusadura <dhanuka@gnome.org>
Date:   2023-10-14

    Merge branch 'fix_scope' into 'master'
    
    main: Reduce scope of ssh_started variable
    
    See merge request GNOME/gnome-keyring!59

commit 214d4d6568a6ba4259e49436eb6c827658158d08
Author: Dhanuka Warusadura <dhanuka@gnome.org>
Date:   2023-10-11

    main: Reduce scope of ssh_started variable
    
    This change fixes the "‘ssh_started’ defined but not
    used [-Wunused-variable]" warning, during build with
    `--disable-ssh-agent` option.
    
    Signed-off-by: Dhanuka Warusadura <dhanuka@gnome.org>

 daemon/gkd-main.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 085f8b457270e823c1d698aa74efc2d61e3dae40
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   2023-09-27

    Update Esperanto translation

 po/eo.po | 167 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 87 insertions(+), 80 deletions(-)

commit b839689e5525a5e924916d2ebf9e68753e1f6d52
Author: Sabri Ünal <libreajans@gmail.com>
Date:   2023-08-08

    Update Turkish translation

 po/tr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d0a4901c63a01e5f6d2e319cf118a58197bdd6a2
Merge: 027c9e3f 391edc89
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2023-05-24

    Merge branch 'valentindavid/fix-desktop-files' into 'master'
    
    desktop: Expand variables
    
    Closes #131
    
    See merge request GNOME/gnome-keyring!58

commit 391edc89ccf1d404886c3f00ff20cc5085f34ae8
Author: Valentin David <me@valentindavid.com>
Date:   2023-05-18

    desktop: Expand variables
    
    2f202ab68ab2185cc6a0cf32d92fc9f30a573d5f removed expansion of
    variables, but `@bindir@` still needed to be expanded.
    
    This partially reverts that commit, without re-introducing Bugzilla
    related data.
    
    Also the makefile rule for `$(desktop_DATA)` was using the same .in
    file as input for all the desktop outputs. Resulting in the same file
    instead of having the correct `--components`.

 daemon/.gitignore                                          |  3 +++
 daemon/Makefile.am                                         | 14 ++++++++------
 ...kcs11.desktop.in => gnome-keyring-pkcs11.desktop.in.in} |  0
 ...rets.desktop.in => gnome-keyring-secrets.desktop.in.in} |  0
 ...ring-ssh.desktop.in => gnome-keyring-ssh.desktop.in.in} |  0
 po/POTFILES.in                                             |  6 +++---
 po/POTFILES.skip                                           |  3 +++
 7 files changed, 17 insertions(+), 9 deletions(-)

commit 027c9e3fe1514881d6a8a19af7f6f1f8a2813590
Author: Andre Klapper <a9016009@gmx.de>
Date:   2023-04-28

    DOAP: Replace defunct mailing-list with support-forum (GNOME Discourse)

 gnome-keyring.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 353b9868b5ed5805a1af8a06edbf63ba210f5dad
Author: Nart Tlisha <daniel.abzakh@gmail.com>
Date:   2023-04-05

    Update Abkhazian translation

 po/ab.po | 3304 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 3285 insertions(+), 19 deletions(-)

commit 0b8753075560590e33277f034e85c4d34d9b02a7
Author: Sabri Ünal <libreajans@gmail.com>
Date:   2023-03-10

    Update Turkish translation

 po/tr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 7c38f99fb4d0b862a5c33a37857fe8ea200da4fe
Author: Sabri Ünal <libreajans@gmail.com>
Date:   2023-02-22

    Update Turkish translation

 po/tr.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit ef29e23d7add087e97e602d6a9a3c2403e8aff5d
Author: Vasil Pupkin <3abac@3a.by>
Date:   2022-12-13

    Update Belarusian translation

 po/be.po | 456 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 233 insertions(+), 223 deletions(-)

commit cb981ada8da7d6b3f6b07f61bcb58692c064d529
Merge: 12eeabc2 2f202ab6
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-11-13

    Merge branch 'jakedane-master-patch-02769' into 'master'
    
    desktop: Remove obsolete Bugzilla entries
    
    See merge request GNOME/gnome-keyring!55

commit 2f202ab68ab2185cc6a0cf32d92fc9f30a573d5f
Author: Jake Dane <3689-jakedane@users.noreply.gitlab.gnome.org>
Date:   2022-09-11

    desktop: Remove obsolete Bugzilla entries
    
    The `X-GNOME-Bugzilla-*` entries were for use by bug-buddy, a GNOME 2
    technology that's been gone for over a decade. These entries are
    obsolete and can be removed from the desktop files.
    
    The desktop files then have no variables so do not need to be
    configured. They are renamed from `*.in.in` to `*.in` to reflect that
    and build files are updated for this change.

 daemon/.gitignore                                          |  3 ---
 daemon/Makefile.am                                         | 14 ++++++--------
 ...kcs11.desktop.in.in => gnome-keyring-pkcs11.desktop.in} |  4 ----
 ...rets.desktop.in.in => gnome-keyring-secrets.desktop.in} |  4 ----
 ...ring-ssh.desktop.in.in => gnome-keyring-ssh.desktop.in} |  4 ----
 po/POTFILES.in                                             |  6 +++---
 po/POTFILES.skip                                           |  3 ---
 7 files changed, 9 insertions(+), 29 deletions(-)

commit 12eeabc28daded121dbf6bbc452a2678946983e6
Author: Nart Tlisha <daniel.abzakh@gmail.com>
Date:   2022-10-31

    Update Abkhazian translation

 po/ab.po | 3079 +-------------------------------------------------------------
 1 file changed, 21 insertions(+), 3058 deletions(-)

commit 96b31dec1fc7c1079afbbdcf1917f67d69331518
Author: Nart Tlisha <daniel.abzakh@gmail.com>
Date:   2022-10-03

    Update Abkhazian translation

 po/ab.po | 3909 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 3906 insertions(+), 3 deletions(-)

commit 2030a2cd4045bbdd9d0b1cd4bce471dd5cc00cfa
Author: Sabri Ünal <libreajans@gmail.com>
Date:   2022-09-18

    Update Turkish translation

 po/tr.po | 103 ++-------------------------------------------------------------
 1 file changed, 3 insertions(+), 100 deletions(-)

commit 7917041f1bd90a40d855ad2fd93bd2bd40e7edea
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   2022-09-05

    Update Icelandic translation
    
    (cherry picked from commit bb785db03489b5d3ae93657fdb6ad3e4ed72b19f)

 po/is.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1892a4948441efd6cb812c293945e12ca50c10f5
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   2022-09-05

    Update Icelandic translation
    
    (cherry picked from commit c2ce16ef7acb7074063d6bcecb5eeb6b075f5b7d)

 po/is.po | 40 ++++++++++++++++++++++++++++------------
 1 file changed, 28 insertions(+), 12 deletions(-)

commit 93b2384e83fe856c695da32fd17cf53c450c6140
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   2022-09-05

    Update Icelandic translation
    
    (cherry picked from commit 435896013603bbd5d89ec928ccb30475f38b6ba7)

 po/is.po | 172 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 81 insertions(+), 91 deletions(-)

commit 0040a970d2ccb2c2efcd8666c770c6a6939c17fa
Author: Nart Tlisha <daniel.abzakh@gmail.com>
Date:   2022-08-25

    Update Abkhazian translation

 po/ab.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 1d591c260e93fd8583976c0cb661d48a70cb1fea
Author: Nart Tlisha <daniel.abzakh@gmail.com>
Date:   2022-07-29

    Update Abkhazian translation

 po/ab.po | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit f50925c7535280e1718f5f71dd1e9b2a826a9a91
Author: Nart Tlisha <daniel.abzakh@gmail.com>
Date:   2022-07-25

    Add Abkhazian translation

 po/LINGUAS |   1 +
 po/ab.po   | 483 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 484 insertions(+)

commit 992a2558c6f0986b67ecee567715a75dcdcdb298
Merge: 6c4ad4cf 2d867686
Author: Daiki Ueno <ueno@gnu.org>
Date:   2022-07-04

    Merge branch 'wip/dueno/pc' into 'master'
    
    configure.ac: Stop using deprecated pkgconfig variable in p11-kit
    
    See merge request GNOME/gnome-keyring!54

commit 2d867686b75630ad480640afc6fcb73514167a03
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2022-07-03

    configure.ac: Stop using deprecated pkgconfig variable in p11-kit
    
    p11_system_config_modules has been deprecated for a long time, in
    favor of p11_module_configs.
    
    Signed-off-by: Daiki Ueno <dueno@src.gnome.org>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c4ad4cff086ba7fd79ef406311a283c6a942baf
Author: Matt Turner <mattst88@gmail.com>
Date:   2022-05-22

    pkcs11: Don't use strncpy when copying paths
    
    Using strncpy produces the following warning, which indicates that the
    destination string could be left unterminated.
    
      CC       daemon/control/gkd-control-server.lo
      CCLD     libgkd-control.la
      CC       pkcs11/rpc-layer/libgkm_rpc_layer_la-gkm-rpc-dispatch.lo
    In file included from /usr/include/string.h:519,
                     from /usr/include/glib-2.0/glib/galloca.h:33,
                     from /usr/include/glib-2.0/glib.h:30,
                     from ./egg/egg-error.h:24,
                     from pkcs11/rpc-layer/gkm-rpc-dispatch.c:31:
    In function ‘strncpy’,
        inlined from ‘gkm_rpc_layer_startup’ at pkcs11/rpc-layer/gkm-rpc-dispatch.c:2382:2:
    /usr/include/bits/string_fortified.h:95:10: warning: ‘__builtin_strncpy’ specified bound 108 equals destination size [-Wstringop-truncation]
       95 |   return __builtin___strncpy_chk (__dest, __src, __len,
          |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       96 |                                   __glibc_objsize (__dest));
          |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~

 pkcs11/rpc-layer/gkm-rpc-dispatch.c | 4 +++-
 pkcs11/rpc-layer/gkm-rpc-module.c   | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit a76ebb68bc5d7b9176603902d329283c33422522
Author: Zurab Kargareteli <zuraxt@gmail.com>
Date:   2022-05-25

    Update Georgian translation

 po/ka.po | 660 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 322 insertions(+), 338 deletions(-)

commit 5bc5f32c60b450b19ee8fac2555862537f986a89
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   2022-05-24

    Update Nepali translation
    
    (cherry picked from commit 8e43ecc3f6c7756310d24b0614858f6508256b0d)

 po/ne.po | 523 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 256 insertions(+), 267 deletions(-)

commit 53c4b0743c92ad723ffe8f5906450a212c89e88e
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-23

    Fix wrong MR number in NEWS

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cdec02841ef7e0f9fd98fcb18b5d6b625f315871
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-22

    daemon: Add socket files to EXTRA_DIST
    
    Otherwise they don't get included into the tarball and autotools screams
    at us.

 daemon/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit c5645bdcbae05c06895979ee89fb83ef2ec90a1e
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-21

    Release version 42.0

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 8bd42172af81d3e18397a690fc4eec14aa2d3122
Author: Niels De Graef <nielsdg@redhat.com>
Date:   2022-05-13

    secret-portal: Properly check the default keyring
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-keyring/-/issues/107

 daemon/dbus/gkd-secret-portal.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit 269ae26c81ed716f2552af016acd5e91f17a93fd
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-21

    gkm: Fix some format-truncation warnings
    
    When enabling fatal warnings (like in our CI), the
    `-Werror=format-truncation=` flag is complaining about us using
    `snprintf()` in a way that can theoretically truncate its arguments,
    even though this will not happen in practice, unless people are still
    running gnome-keyring in the year 100000.
    
    Solve the warning by doing a dumb check that aborts if `snprintf`
    returns an error

 pkcs11/gkm/gkm-attributes.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 5c0a464633631d4ee5fc912f4a5b5bcc2051b8ce
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-21

    doap: Add myself as maintainer, remove Stef
    
    Stef has been inactive on GNOME development for quite a while now, and
    the email address listed in the doap is no longer in use even, so remove
    him.
    
    That being said, I'm probably the closest to a co-maintainer with Daiki
    as I'm maintaining libsecret anyway, so I get to deal with gnome-keyring
    whether I like it or not.

 gnome-keyring.doap | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9ffd7b88dfa880ce3e3cb0e3344adb8ee7ef1bd9
Author: Ryan Schmidt <gnome@ryandesign.com>
Date:   2022-03-24

    Fix implicit declaration of utimes and gettimeofday.

 pkcs11/xdg-store/mock-xdg-module.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e74cfb98f1c675d0a3c078b75e2189cdfea337cd
Author: Gergő Doma <domag02@gmail.com>
Date:   2021-10-22

    GMutex initialization added.

 daemon/ssh-agent/gkd-ssh-agent-preload.c | 1 +
 1 file changed, 1 insertion(+)

commit a17707681f35b73a5ecd8ca60a5ff950c790df39
Author: Jos Dehaes <jos.dehaes@gmail.com>
Date:   2022-03-14

    #105 fix looping off the end of the operations array

 daemon/ssh-agent/gkd-ssh-agent-service.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eada1440fec9a082d199ef83bb92b5af149d4c1f
Author: Simon McVittie <smcv@debian.org>
Date:   2021-09-26

    Stop using volatile in conjunction with atomic operations
    
    As discussed in <https://gitlab.gnome.org/GNOME/glib/-/issues/600>,
    the volatile qualifier rarely has the semantics that are desired in C/C++.
    With recent gcc versions, combining pointers to volatile-qualified types
    with the __atomic_foo() family of builtins causes compiler warnings.
    
    http://c.isvolatileusefulwiththreads.com/ has some other useful
    references.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>

 daemon/dbus/gkd-secret-dispatch.c             |  2 +-
 daemon/dbus/gkd-secret-error.c                | 12 ++++++------
 daemon/ssh-agent/test-gkd-ssh-agent-service.c |  2 +-
 egg/egg-libgcrypt.c                           |  2 +-
 egg/egg-oid.c                                 |  2 +-
 egg/egg-symkey.c                              |  2 +-
 pkcs11/gkm/gkm-certificate.c                  |  2 +-
 pkcs11/gkm/gkm-data-der.c                     |  2 +-
 pkcs11/gkm/gkm-serializable.c                 |  8 ++++----
 pkcs11/secret-store/gkm-secret-fields.c       |  2 +-
 pkcs11/xdg-store/gkm-xdg-trust.c              |  2 +-
 11 files changed, 19 insertions(+), 19 deletions(-)

commit 232010c1041b7bd6e7f4757b87e157a05a28425d
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2022-03-27

    Update Bulgarian translation

 po/bg.po | 342 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 165 insertions(+), 177 deletions(-)

commit ffb03fdd5178337a02b1c72acd0c73cc6d020ebd
Author: Quentin PAGÈS <pages_quentin@hotmail.com>
Date:   2021-08-11

    Update Occitan translation
    
    (cherry picked from commit 086959361640d7252fe96b0e2f93f4910ae30c00)

 po/oc.po | 222 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 99 insertions(+), 123 deletions(-)

commit ecca02fbdf4389b1642a6a35d932046cea24553c
Author: Alexey Rubtsov <rushills@gmail.com>
Date:   2021-06-30

    Update Russian translation

 po/ru.po | 365 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 188 insertions(+), 177 deletions(-)

commit f6fcdf2e96e84d671581fa3070bd0696500cb0a5
Merge: ae6b9d86 c36bdbd1
Author: Daiki Ueno <ueno@gnu.org>
Date:   2021-04-27

    Merge branch 'update-readme' into 'master'
    
    readme: Mention libsecret instead of deprecated libgnome-keyring
    
    See merge request GNOME/gnome-keyring!37

commit c36bdbd1befaa97a85b1029f03016c1990a51e19
Author: Felipe Borges <felipeborges@gnome.org>
Date:   2021-04-14

    readme: Mention libsecret instead of deprecated libgnome-keyring

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ae6b9d86f55c6193f85a6c9de9727a86675a4927
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-27

    .gitlab-ci.yml: Fix coverage report path

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bda3dd94605070c8859b5f895dd2efb13de069c0
Merge: 23294af7 d3801112
Author: Daiki Ueno <ueno@gnu.org>
Date:   2021-03-26

    Merge branch 'wip/dueno/systemd' into 'master'
    
    daemon: Make it systemd-activatable through the control socket
    
    See merge request GNOME/gnome-keyring!35

commit d38011124e554c6c1dd57d859acfae4389c05699
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-02-12

    daemon: Make it systemd-activatable through the control socket
    
    This enables gnome-keyring-daemon to be launched through the systemd
    socket activation mechanism, rather than through pam_gnome_keyring.so.

 configure.ac                           | 25 ++++++++++++++
 daemon/.gitignore                      |  1 +
 daemon/Makefile.am                     | 14 ++++++++
 daemon/control/gkd-control-server.c    | 60 ++++++++++++++++++++++------------
 daemon/gkd-main.c                      |  1 +
 daemon/gnome-keyring-daemon.service.in | 14 ++++++++
 daemon/gnome-keyring-daemon.socket     | 11 +++++++
 7 files changed, 105 insertions(+), 21 deletions(-)

commit 23294af736984655d03b5c58b504a96fe58cdd33
Merge: a9c86746 eeaf4d64
Author: Daiki Ueno <ueno@gnu.org>
Date:   2021-03-26

    Merge branch 'wip/dueno/ci-fixes' into 'master'
    
    Fix CI runs
    
    See merge request GNOME/gnome-keyring!36

commit eeaf4d646f5aff3933b133948a6335a0e9e81494
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    ci: Fix ASAN jobs
    
    This ports the commits 572a35626625d0a2cd0be54124e402d6bcb43898 and
    5b69e07be75ee5f43df0d734eaee007033a33647 from gcr, by Niels De Graef.
    
    See
    https://mail.gnome.org/archives/desktop-devel-list/2020-February/msg00055.html
    for more context.

 .gitlab-ci.yml | 2 ++
 1 file changed, 2 insertions(+)

commit 3a4dc5bb32e05ec682420da533b58bc3e6d94a25
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    .gitlab-ci.yml: Make pages depend on fedora:coverage
    
    Also only deploy coverage information when built on the master branch.

 .gitlab-ci.yml | 3 +++
 1 file changed, 3 insertions(+)

commit b965ce8818329a84f6d1e09322acbe0aa014e583
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    .gitlab-ci.yml: Run tests as a regular user

 .gitlab-ci.yml | 90 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 47 insertions(+), 43 deletions(-)

commit a9c867468b86719afc9fb62479dc5c48244f5926
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    Release 40.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a451e5fec21c702257590a0ca280974626135466
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   2021-03-16

    Update Finnish translation

 po/fi.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 673361827d6062821dd42974d5b9b0cecd233036
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2021-02-24

    Update Galician translation

 po/gl.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit aa51e965d8952e872ec9b041f6fcc22591b36cae
Author: A S Alam <amanpreet.alam@gmail.com>
Date:   2021-02-11

    Update Punjabi translation

 po/pa.po | 572 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 295 insertions(+), 277 deletions(-)

commit 55e8e6c5f80ee15200e47c33ee8117c5bfcc034c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2021-01-13

    Update Norwegian Bokmål translation

 po/nb.po | 338 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 164 insertions(+), 174 deletions(-)

commit bde1de123879a55ebb3ef86becbb29d3f0950584
Author: Jordi Mas <jmas@softcatala.org>
Date:   2021-01-05

    Update Catalan translation

 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18a58e6344bfab6f4036f9e0f128e7bc7ed0a317
Author: Jordi Mas <jmas@softcatala.org>
Date:   2020-12-21

    Update Catalan translation

 po/ca.po | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit ebc7bc9efacc17049e54da8d96a4a29943621113
Author: Steve Grubb <sgrubb@redhat.com>
Date:   2020-11-20

    Update libcap-ng capability handling
    
    There is a change in libcap-ng-0.8.1 that causes gnome-keyring to not
    work correctly. The capng_apply function now returns an error if it
    cannot change the bounding set. Previously this was ignored. Which means
    now gnome-keyring exits when it shouldn't.
    
    The new patch adds troubleshooting info to the error messages. And it checks
    to see if we have CAP_SETPCAP. If we do not, then we cannot change the
    bounding set and just set capabilities. On the setuid side, it now drops
    the bounding set and clears any supplemental groups that may be left over
    as an accident.

 daemon/gkd-capability.c | 54 +++++++++++++++++++++++++++++++------------------
 1 file changed, 34 insertions(+), 20 deletions(-)

commit 4f531000ae49d89f800e00572271ad3d704a1a01
Author: Zander Brown <zbrown@gnome.org>
Date:   2020-10-04

    Update British English translation

 po/en_GB.po | 190 +++++++++++++++++++++++++++---------------------------------
 1 file changed, 85 insertions(+), 105 deletions(-)

commit dfd246e639779a6d5dacca1aa17664c4142a1747
Author: Yosef Or Boczko <yoseforb@gnome.org>
Date:   2020-09-28

    Update Hebrew translation

 po/he.po | 364 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 190 insertions(+), 174 deletions(-)

commit 27e0ec18a4baafe50f24654eb499b785ee53c573
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   2020-09-12

    Update Latvian translation

 po/lv.po | 393 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 188 insertions(+), 205 deletions(-)

commit 38e29ee2e3e3f14528b026c60bd765099b3c75e6
Author: Juliano Camargo <julianosc@protonmail.com>
Date:   2020-09-12

    Update Portuguese translation

 po/pt.po | 590 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 310 insertions(+), 280 deletions(-)

commit 27c0d90fe872964b24acea5a90244d095a0c66af
Author: Boyuan Yang <073plan@gmail.com>
Date:   2020-08-22

    Update Chinese (China) translation

 po/zh_CN.po | 215 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 114 insertions(+), 101 deletions(-)

commit 6c19deb36ade13d573bd8e861c2ab7e5f09065ee
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   2020-06-26

    Update Kazakh translation

 po/kk.po | 378 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 195 insertions(+), 183 deletions(-)

commit 8dc8f97393df8515c1edd1dc97bf336c5f24df86
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2020-04-10

    Added Slovenian translation

 po/sl.po | 206 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 104 insertions(+), 102 deletions(-)

commit 5234e7c44e54ad99d37bb2c66ba375317b8ffdd7
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   2020-03-31

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 367 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 189 insertions(+), 178 deletions(-)

commit ead1942b5187252d2aadddc768a58b55836ae4d7
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   2020-03-31

    Update Friulian translation

 po/fur.po | 359 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 185 insertions(+), 174 deletions(-)

commit b63790f489d44d76b0122f1d4b9dbc43e7323ea9
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   2020-03-18

    Update Romanian translation

 po/ro.po | 171 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 89 insertions(+), 82 deletions(-)

commit 1c0bb144d9a81b91c88c956fb5231f702851e1d3
Author: Peter Mráz <etkinator@gmail.com>
Date:   2020-03-16

    Update Slovak translation

 po/sk.po | 238 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 126 insertions(+), 112 deletions(-)

commit 69a978f4966301d4c8fc0ade3a6a4b8253f91ef1
Author: sicklylife <translation@sicklylife.jp>
Date:   2020-03-13

    Update Japanese translation

 po/ja.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6cc50f97575d1d978cd7d24e6466f585d37947ed
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-03-11

    Release 3.36.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit cb82824bf3798e0f32da67aa1f56e44e4508a3cd
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2020-03-10

    Update Ukrainian translation

 po/uk.po | 1043 +++++++++++++-------------------------------------------------
 1 file changed, 220 insertions(+), 823 deletions(-)

commit e273e7efe8494f00119b8c8c4f734aa29b70acbd
Author: Jordi Mas <jmas@softcatala.org>
Date:   2020-03-07

    Update Catalan translation

 po/ca.po | 408 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 160 insertions(+), 248 deletions(-)

commit 5c451e8308fbe10967d18ae367fd82f1f96f1ab8
Author: Milo Casagrande <milo@milo.name>
Date:   2020-03-03

    Update Italian translation

 po/it.po | 420 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 165 insertions(+), 255 deletions(-)

commit 1b1c2087cb0ac9055e71c55bf0d37b00acebb576
Author: Tim Sabsch <tim@sabsch.com>
Date:   2020-03-01

    Update German translation

 po/de.po | 368 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 191 insertions(+), 177 deletions(-)

commit 1d2c78059d6b19241c4ca471ac8f816585793be9
Author: Goran Vidović <trebelnik2@gmail.com>
Date:   2020-03-01

    Update Croatian translation

 po/hr.po | 361 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 186 insertions(+), 175 deletions(-)

commit 80d7947ea2a2407f888c205e66231dc831d07892
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2020-02-28

    Update Korean translation

 po/ko.po | 357 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 184 insertions(+), 173 deletions(-)

commit 372066eb1098e258de649276dd750eb7ff35f142
Author: Jwtiyar Nariman <jwtiyar@gmail.com>
Date:   2020-02-27

    Add Kurdish Sorani translation
